List of all members
clan::PNGProvider Class Reference
clanDisplay Image Providers

Surface provider that can load PNG (.png) files. More...

`#include <png_provider.h>`

## Static Public Member Functions
Construction
static PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb=false)
| Called to load an image with this provider type. More...
static PixelBuffer | load (const std::string &fullname, bool srgb=false)
static PixelBuffer | load (IODevice &dev, bool srgb=false)
| Load. More...
static void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs)
| Called to save a given PixelBuffer to a file. More...
static void | save (PixelBuffer buffer, const std::string &fullname)
static void | save (PixelBuffer buffer, IODevice &iodev)
| Save the given PixelBuffer to an output device. More...

## Detailed Description

Surface provider that can load PNG (.png) files.

The documentation for this class was generated from the following file:

- png_provider.h